
From: Jean Tourrilhes <jt@bougret.hpl.hp.com>

	The following command will do nothing at all on 2.5.X :
		setserial /dev/ttyS0 uart none




 25-akpm/drivers/serial/core.c |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletion(-)

diff -puN drivers/serial/core.c~setserial-fix drivers/serial/core.c
--- 25/drivers/serial/core.c~setserial-fix	Thu Apr 10 16:25:12 2003
+++ 25-akpm/drivers/serial/core.c	Thu Apr 10 16:25:55 2003
@@ -782,8 +782,12 @@ uart_set_info(struct uart_state *state, 
 		/*
 		 * Claim and map the new regions
 		 */
-		if (port->type != PORT_UNKNOWN)
+		if (port->type != PORT_UNKNOWN) {
 			retval = port->ops->request_port(port);
+		} else {
+			/* Always success - Jean II */
+			retval = 0;
+		}
 
 		/*
 		 * If we fail to request resources for the

_
